# Uses of Interface
org.opensaml.soap.wssecurity.Username

Packages that use Username
Package
Description
org.opensaml.soap.wssecurity
XMLObject interfaces for WS-Security 1.1 elements.
org.opensaml.soap.wssecurity.impl
XML Object provider implementations for WS-Security.

## Uses of Username in org.opensaml.soap.wssecurity

Methods in org.opensaml.soap.wssecurity that return Username
Modifier and Type
Method
Description
`Username`
UsernameToken.`getUsername()`
Returns the <wsse:Username> child element.
Methods in org.opensaml.soap.wssecurity with parameters of type Username
Modifier and Type
Method
Description
`void`
UsernameToken.`setUsername(Username username)`
Sets the <wsse:Username> child element.

## Uses of Username in org.opensaml.soap.wssecurity.impl

Classes in org.opensaml.soap.wssecurity.impl that implement Username
Modifier and Type
Class
Description
`class`
`UsernameImpl`
Implementation of `Username`.
Fields in org.opensaml.soap.wssecurity.impl declared as Username
Modifier and Type
Field
Description
`private Username`
UsernameTokenImpl.`username`
The <wsse:Username> child element.
Methods in org.opensaml.soap.wssecurity.impl that return Username
Modifier and Type
Method
Description
`Username`
UsernameBuilder.`buildObject()`
Builds a WS-Security object of the given type.
`Username`
UsernameBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Username`
UsernameTokenImpl.`getUsername()`
Returns the <wsse:Username> child element.
Methods in org.opensaml.soap.wssecurity.impl with parameters of type Username
Modifier and Type
Method
Description
`void`
UsernameTokenImpl.`setUsername(Username newUsername)`
Sets the <wsse:Username> child element.